Skip to Content
CompanySpec
API referenceCompany data

Get headcount

GET
/companies/{company}/headcount

Current headcount by department, and total headcount per month for the last 12 months. Costs 1 lookup, free if the company is already paid for this billing month.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Your API key, sent as Authorization: Bearer <key>. Create keys in the dashboard.

Path Parameters

company*string

The company's domain (for example stripe.com) or its CompanySpec id (for example cmp_8f2k1).

Response Body

Headcount.

application/json
  1. response
headcount*
usage*

What this request cost and what is left this billing month.

Example Request
curl -X GET 'https://api.companyspec.com/v1/companies/acmedental.io/headcount'
Example Response
{  "headcount": {    "employee_count": 142,    "departments": [      {        "department": "engineering",        "employee_count": 48      },      {        "department": "sales",        "employee_count": 31      }    ],    "history": [      {        "month": "2026-08",        "employee_count": 131      },      {        "month": "2026-09",        "employee_count": 137      },      {        "month": "2026-10",        "employee_count": 142      }    ]  },  "usage": {    "charged": {      "lookups": 0,      "discoveries": 0    },    "already_paid": 1,    "remaining": {      "lookups": 9750,      "discoveries": 1977    }  }}